%global forgeurl https://github.com/gruns/orderedmultidict
%global commit  d3912b85cd6dbb18c3e7bde4d18443931b6608c3
#global pkgvers 2
#kglobal scdate0 20220313

%forgemeta

Name:           python-orderedmutidict
Version:        1.0.1
Release:        %autorelease
Summary:        Ordered Multivalue Dictionary
License:        Unlicense
BuildArch:      noarch

URL:            %forgeurl
Source0:        %forgesource

%description
A multivalue dictionary is a dictionary that can store multiple values for the
same key. An ordered multivalue dictionary is a multivalue dictionary that
retains the order of insertions and deletions.

%package     -n python3-orderedmutidict
Summary:        Ordered Multivalue Dictionary
BuildRequires:  git python3-devel python3-setuptools
BuildRequires:  python3-six
%{?python_provide:%python_provide python3-orderedmutidict}

%description -n python3-orderedmutidict
A multivalue dictionary is a dictionary that can store multiple values for the
same key. An ordered multivalue dictionary is a multivalue dictionary that
retains the order of insertions and deletions.

%prep
%forgesetup
rm -vrf *.egg-info
chmod -x *.md
sed -i -e "s/'pycodestyle'//" setup.py

%build
%py3_build

%install
%py3_install

%files -n python3-orderedmutidict
%license LICENSE.md
%doc API.md README.md
%{python3_sitelib}/*

%changelog
* Sat Mar 12 2022 Balint Cristian <cristian.balint@gmail.com>
- github update releases

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
